explain_tcflush_or_die(3)

NAME
explain_tcflush_or_die - discard terminal data and report errors

SYNOPSIS
#include <libexplain/tcflush.h>

void explain_tcflush_or_die(int fildes, int selector);
int explain_tcflush_on_error(int fildes, int selector);

DESCRIPTION
The explain_tcflush_or_die function is used to call the tcflush(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcflush(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tcflush_on_error function is used to call the tcflush(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcflush(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the tcflush(3) system call.

selector
    The selector, exactly as to be passed to the tcflush(3) system call.

RETURN VALUE
The explain_tcflush_or_die function only returns on success, see tcflush(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tcflush_on_error function always returns the value return by the wrapped tcflush(3) system call.

EXAMPLE
The explain_tcflush_or_die function is intended to be used in a fashion similar to the following example:
    explain_tcflush_or_die(fildes, selector);

SEE ALSO

tcflush(3)
    discard terminal data

explain_tcflush(3)
    explain tcflush(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller